xcb_xkb_set_map_request_t Struct Reference
XCB xkb API

xcb_xkb_set_map_request_t More...

`#include <xkb.h>`

## Data Fields

uint8_t | major_opcode
uint8_t | minor_opcode
uint16_t | length
xcb_xkb_device_spec_t | deviceSpec
uint16_t | present
uint16_t | flags
xcb_keycode_t | minKeyCode
xcb_keycode_t | maxKeyCode
uint8_t | firstType
uint8_t | nTypes
xcb_keycode_t | firstKeySym
uint8_t | nKeySyms
uint16_t | totalSyms
xcb_keycode_t | firstKeyAction
uint8_t | nKeyActions
uint16_t | totalActions
xcb_keycode_t | firstKeyBehavior
uint8_t | nKeyBehaviors
uint8_t | totalKeyBehaviors
xcb_keycode_t | firstKeyExplicit
uint8_t | nKeyExplicit
uint8_t | totalKeyExplicit
xcb_keycode_t | firstModMapKey
uint8_t | nModMapKeys
uint8_t | totalModMapKeys
xcb_keycode_t | firstVModMapKey
uint8_t | nVModMapKeys
uint8_t | totalVModMapKeys
uint16_t | virtualMods

## Detailed Description

xcb_xkb_set_map_request_t

The documentation for this struct was generated from the following file:

- xkb.h